PAPI_assign_eventset_component(3)

NAME
PAPI_assign_eventset_component -

Assign a component index to an existing but empty EventSet.

SYNOPSIS

Detailed Description

@par C Interface:

PAPI_assign_eventset_component( int  EventSet, int  cidx );

@param EventSet
    An integer identifier for an existing EventSet.
@param cidx
    An integer identifier for a component.
    By convention, component 0 is always the cpu component.

@retval PAPI_ENOCMP
    The argument cidx is not a valid component.
@retval PAPI_ENOEVST
    The EventSet doesn't exist.
@retval PAPI_ENOMEM
    Insufficient memory to complete the operation.

PAPI_assign_eventset_component assigns a specific component index,
as specified by cidx, to a new EventSet identified by EventSet, as obtained
from PAPI_create_eventset. EventSets are ordinarily automatically bound
to components when the first event is added. This routine is useful to
explicitly bind an EventSet to a component before setting component related
options.

@par Examples:

*   int EventSet = PAPI_NULL;
*   if ( PAPI_create_eventset( &EventSet ) != PAPI_OK )
*   handle_error( 1 );
*   // Bind our EventSet to the cpu component
*   if ( PAPI_assign_eventset_component( EventSet, 0 ) != PAPI_OK )
*   handle_error( 1 );
*   // Convert our EventSet to multiplexing
*   if ( PAPI_set_multiplex( EventSet ) != PAPI_OK )
*   handle_error( 1 );
*

See Also:
    PAPI_set_opt
     PAPI_create_eventset
     PAPI_add_events
     PAPI_set_multiplex

Author

Generated automatically by Doxygen for PAPI from the source code.